import request from "utils/axios.js";
// table
const getByPage = (params) => {
  return request.postJson(
    "/oil-refinery/oilRefineryProduct/coms/getByPage",
    params
  );
};
//炼厂list
const findByEntity = (params) => {
  return request.postJson(
    "/oil-refinery/xoilRefineryInfo/findByEntity",
    params
  );
};
// 修改
const update = (params) => {
  return request.postJson("/oil-refinery/oilRefineryProduct/update", params);
};
// 下单
const orderSave = (params) => {
  return request.postJson(
    "/oil-refinery/xoilRefineryOrder/save",
    params
  );
};
//查看企业产品
const getRefineryProductList = (params) => {
  return request.postJson(
    "/oil-refinery/oilRefineryProduct/getRefineryProductList",
    params
  );
};
 // 搜索客户
 const getRefineryCompanyList = (params) => {
  return request.postJson("/oil-user/oilCompanyInfo/getLikeByCompanyType", params);
};

export default {
  getByPage,
  findByEntity,
  orderSave,
  getRefineryProductList,
  getRefineryCompanyList
};
